<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy RobotData.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_robot_data_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">RobotData.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_robot_data_8hpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef ROBOTDATA_HPP</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define ROBOTDATA_HPP</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;mutex&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="class_robot_data.html">   17</a></span><span class="keyword">class </span><a class="code hl_class" href="class_robot_data.html">RobotData</a></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="class_robot_data.html#a9995d73211afe3dc49fd451b2eb04c8b">   20</a></span>    std::mutex <a class="code hl_variable" href="class_robot_data.html#a9995d73211afe3dc49fd451b2eb04c8b">lock</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="class_robot_data.html#a9a1648c46a58e390becfb98d78cbe491">   25</a></span>    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="class_robot_data.html#a9a1648c46a58e390becfb98d78cbe491">sensors</a>[4];</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="class_robot_data.html#a3b322c493f67b40e3f118bddf4e0137c">   29</a></span>    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="class_robot_data.html#a3b322c493f67b40e3f118bddf4e0137c">ktir_counters</a>[2];</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="class_robot_data.html#a93a9102961e0701b95e642ed3b2165e9">   33</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="class_robot_data.html#a93a9102961e0701b95e642ed3b2165e9">motors_velocity</a>[2];</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <a class="code hl_function" href="class_robot_data.html#a0007f4b014a950d356d2d63156b572af">RobotData</a>();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="class_robot_data.html#aee64ded96944fd7d61557f566a5c804f">   49</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_data.html#aee64ded96944fd7d61557f566a5c804f">getDistance</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> distance, <span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        std::lock_guard&lt;std::mutex&gt; safe_guard(<a class="code hl_variable" href="class_robot_data.html#a9995d73211afe3dc49fd451b2eb04c8b">lock</a>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="class_robot_data.html#a9a1648c46a58e390becfb98d78cbe491">sensors</a>[index] = distance;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="class_robot_data.html#affa0add6183e662083841442a9976cb3">   60</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_data.html#affa0add6183e662083841442a9976cb3">getCounter</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> counter, <span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        std::lock_guard&lt;std::mutex&gt; safe_guard(<a class="code hl_variable" href="class_robot_data.html#a9995d73211afe3dc49fd451b2eb04c8b">lock</a>);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <a class="code hl_variable" href="class_robot_data.html#a3b322c493f67b40e3f118bddf4e0137c">ktir_counters</a>[index] = counter;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="class_robot_data.html#adc9b093e38bfe8ae8eaf3f70e5cacefa">   71</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_data.html#adc9b093e38bfe8ae8eaf3f70e5cacefa">getVelocity</a>(<span class="keywordtype">int</span> velocity, <span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        std::lock_guard&lt;std::mutex&gt; safe_guard(<a class="code hl_variable" href="class_robot_data.html#a9995d73211afe3dc49fd451b2eb04c8b">lock</a>);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <a class="code hl_variable" href="class_robot_data.html#a93a9102961e0701b95e642ed3b2165e9">motors_velocity</a>[index] = velocity;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="class_robot_data.html#a0e99308bd0a255942711d5a7f5cf9639">   83</a></span>    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code hl_function" href="class_robot_data.html#a0e99308bd0a255942711d5a7f5cf9639">returnDistance</a>(<span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        std::lock_guard&lt;std::mutex&gt; safe_guard(<a class="code hl_variable" href="class_robot_data.html#a9995d73211afe3dc49fd451b2eb04c8b">lock</a>);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="class_robot_data.html#a9a1648c46a58e390becfb98d78cbe491">sensors</a>[index];</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="class_robot_data.html#a1dbb990ef5d66e5a48651c30b0183fb7">   95</a></span>    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code hl_function" href="class_robot_data.html#a1dbb990ef5d66e5a48651c30b0183fb7">returnCounter</a>(<span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        std::lock_guard&lt;std::mutex&gt; safe_guard(<a class="code hl_variable" href="class_robot_data.html#a9995d73211afe3dc49fd451b2eb04c8b">lock</a>);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="class_robot_data.html#a3b322c493f67b40e3f118bddf4e0137c">ktir_counters</a>[index];</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="class_robot_data.html#ac12e26952ade6fa132e489bc0c95b6c2">  108</a></span>    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code hl_function" href="class_robot_data.html#ac12e26952ade6fa132e489bc0c95b6c2">returnVelocity</a>(<span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        std::lock_guard&lt;std::mutex&gt; safe_guard(<a class="code hl_variable" href="class_robot_data.html#a9995d73211afe3dc49fd451b2eb04c8b">lock</a>);</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="class_robot_data.html#a93a9102961e0701b95e642ed3b2165e9">motors_velocity</a>[index];</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>};</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span><span class="preprocessor">#endif </span><span class="comment">// ROBOTDATA_HPP</span></div>
<div class="ttc" id="aclass_robot_data_html"><div class="ttname"><a href="class_robot_data.html">RobotData</a></div><div class="ttdoc">Zbiór wszystkich danych otrzymywanych z robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00017">RobotData.hpp:18</a></div></div>
<div class="ttc" id="aclass_robot_data_html_a0007f4b014a950d356d2d63156b572af"><div class="ttname"><a href="class_robot_data.html#a0007f4b014a950d356d2d63156b572af">RobotData::RobotData</a></div><div class="ttdeci">RobotData()</div><div class="ttdoc">Inicjalizuje obiekt RobotData.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8cpp_source.html#l00013">RobotData.cpp:13</a></div></div>
<div class="ttc" id="aclass_robot_data_html_a0e99308bd0a255942711d5a7f5cf9639"><div class="ttname"><a href="class_robot_data.html#a0e99308bd0a255942711d5a7f5cf9639">RobotData::returnDistance</a></div><div class="ttdeci">unsigned int returnDistance(int index)</div><div class="ttdoc">Zwraca odległość danego czujnika.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00083">RobotData.hpp:83</a></div></div>
<div class="ttc" id="aclass_robot_data_html_a1dbb990ef5d66e5a48651c30b0183fb7"><div class="ttname"><a href="class_robot_data.html#a1dbb990ef5d66e5a48651c30b0183fb7">RobotData::returnCounter</a></div><div class="ttdeci">unsigned int returnCounter(int index)</div><div class="ttdoc">Zwraca wartość danego transoptora odbiciowego.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00095">RobotData.hpp:95</a></div></div>
<div class="ttc" id="aclass_robot_data_html_a3b322c493f67b40e3f118bddf4e0137c"><div class="ttname"><a href="class_robot_data.html#a3b322c493f67b40e3f118bddf4e0137c">RobotData::ktir_counters</a></div><div class="ttdeci">unsigned int ktir_counters[2]</div><div class="ttdoc">Tablica z odczytami transoptorów odbiciowych.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00029">RobotData.hpp:29</a></div></div>
<div class="ttc" id="aclass_robot_data_html_a93a9102961e0701b95e642ed3b2165e9"><div class="ttname"><a href="class_robot_data.html#a93a9102961e0701b95e642ed3b2165e9">RobotData::motors_velocity</a></div><div class="ttdeci">int motors_velocity[2]</div><div class="ttdoc">Tablica z prędkościami silników (wypełnienie sygnału PWM)</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00033">RobotData.hpp:33</a></div></div>
<div class="ttc" id="aclass_robot_data_html_a9995d73211afe3dc49fd451b2eb04c8b"><div class="ttname"><a href="class_robot_data.html#a9995d73211afe3dc49fd451b2eb04c8b">RobotData::lock</a></div><div class="ttdeci">std::mutex lock</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00020">RobotData.hpp:20</a></div></div>
<div class="ttc" id="aclass_robot_data_html_a9a1648c46a58e390becfb98d78cbe491"><div class="ttname"><a href="class_robot_data.html#a9a1648c46a58e390becfb98d78cbe491">RobotData::sensors</a></div><div class="ttdeci">unsigned int sensors[4]</div><div class="ttdoc">Tablica z odczytami z czujników odległości.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00025">RobotData.hpp:25</a></div></div>
<div class="ttc" id="aclass_robot_data_html_ac12e26952ade6fa132e489bc0c95b6c2"><div class="ttname"><a href="class_robot_data.html#ac12e26952ade6fa132e489bc0c95b6c2">RobotData::returnVelocity</a></div><div class="ttdeci">unsigned int returnVelocity(int index)</div><div class="ttdoc">Zwraca wypełnienie PWM danego koła.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00108">RobotData.hpp:108</a></div></div>
<div class="ttc" id="aclass_robot_data_html_adc9b093e38bfe8ae8eaf3f70e5cacefa"><div class="ttname"><a href="class_robot_data.html#adc9b093e38bfe8ae8eaf3f70e5cacefa">RobotData::getVelocity</a></div><div class="ttdeci">void getVelocity(int velocity, int index)</div><div class="ttdoc">Aktualizuje prędkości silników.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00071">RobotData.hpp:71</a></div></div>
<div class="ttc" id="aclass_robot_data_html_aee64ded96944fd7d61557f566a5c804f"><div class="ttname"><a href="class_robot_data.html#aee64ded96944fd7d61557f566a5c804f">RobotData::getDistance</a></div><div class="ttdeci">void getDistance(unsigned int distance, int index)</div><div class="ttdoc">Aktualizuje dane z czujników odległości.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00049">RobotData.hpp:49</a></div></div>
<div class="ttc" id="aclass_robot_data_html_affa0add6183e662083841442a9976cb3"><div class="ttname"><a href="class_robot_data.html#affa0add6183e662083841442a9976cb3">RobotData::getCounter</a></div><div class="ttdeci">void getCounter(unsigned int counter, int index)</div><div class="ttdoc">Aktualizuje dane z transoptorów odbiciowych.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00060">RobotData.hpp:60</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_robot_data_8hpp.html">RobotData.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
